## calligra 2.6.1

=== 3rdparty/CMakeLists.txt ===
if (SHOULD_BUILD_PLAN)
    macro_optional_add_subdirectory(kdgantt)
endif (SHOULD_BUILD_PLAN)

=== karbon/CMakeLists.txt ===
project(karbon)

#Set the correct compiler options
IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   MESSAGE(STATUS "Karbon detected that you use a 32 bit processor.")
ELSE(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   MESSAGE(STATUS "Karbon detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
ENDIF(CMAKE_SIZEOF_VOID_P EQUAL 4)

include_directories(
    ${QT_INCLUDES}
    ${KDE4_INCLUDE_DIR}
    ${FLAKE_INCLUDES}
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/libs/widgets/resources
    ${CMAKE_SOURCE_DIR}/libs/widgets/colorwidgets
    ${CMAKE_SOURCE_DIR}/karbon/ui
    ${CMAKE_SOURCE_DIR}/karbon/common
    ${CMAKE_SOURCE_DIR}/karbon/common/commands
)

add_subdirectory( common )
add_subdirectory( ui )
add_subdirectory( plugins )
add_subdirectory( data )
add_subdirectory( pics )
add_subdirectory( templates )

########### next target ###############

set(karbonpart_PART_SRCS KarbonFactoryInit.cpp )

kde4_add_plugin(karbonpart ${karbonpart_PART_SRCS})

target_link_libraries(karbonpart karbonui)

install(TARGETS karbonpart  DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(karbon_KDEINIT_SRCS main.cpp )

kde4_add_app_icon( karbon_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/hi*-app-calligrakarbon.png" )
kde4_add_kdeinit_executable( karbon ${karbon_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.calligra.karbon")
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Karbon 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_karbon karbonui)

install(TARGETS kdeinit_karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(karbon kdeinit_karbon)
install(TARGETS karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/CMakeLists.txt ===
if(MSVC)
  # avoid "cannot open file 'LIBC.lib'" error
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
endif(MSVC)


include_directories(
        ${KOMAIN_INCLUDES}
)

IF (NOT TINY)
    macro_optional_add_subdirectory( colorengines )

    IF (NOT CREATIVEONLY)
        macro_optional_add_subdirectory( musicshape )
    ENDIF (NOT CREATIVEONLY)

    macro_optional_find_package(Spnav)
    macro_log_feature(SPNAV_FOUND "Spnav" "3Dconnexion device driver and SDK" "http://spacenav.sourceforge.net/" FALSE "" "Required by SpaceNavigator 3D mouse plugin") 
    IF (SPNAV_FOUND)
        macro_optional_add_subdirectory( spacenavigator )
    ENDIF (SPNAV_FOUND)
    macro_optional_add_subdirectory( artistictextshape )
    macro_optional_add_subdirectory( dockers )
    if (SHOULD_BUILD_TEXTSHAPE)
        macro_optional_add_subdirectory( textediting )
    endif(SHOULD_BUILD_TEXTSHAPE)
    IF (NOT CREATIVEONLY)
        #macro_optional_add_subdirectory( commentshape )
        macro_optional_add_subdirectory( staging )
    ENDIF (NOT CREATIVEONLY)
    if(SHOULD_BUILD_KEXI)
        macro_optional_add_subdirectory( kexi )
    endif(SHOULD_BUILD_KEXI)
ENDIF (NOT TINY)

macro_optional_add_subdirectory( defaultTools )
macro_optional_add_subdirectory( pathshapes )
IF (NOT CREATIVEONLY)
    macro_optional_add_subdirectory( variables )
	macro_optional_add_subdirectory( chartshape )
    macro_optional_add_subdirectory( pictureshape )
    macro_optional_add_subdirectory( videoshape )
ENDIF (NOT CREATIVEONLY)

if (SHOULD_BUILD_TEXTSHAPE)
macro_optional_add_subdirectory( textshape )
endif(SHOULD_BUILD_TEXTSHAPE)

IF (NOT CREATIVEONLY)
    macro_optional_add_subdirectory( pluginshape )
    macro_optional_add_subdirectory( formulashape )
    # as the vector shape depends on filters subdir (not really intuitive) lets allow disabling
    macro_optional_add_subdirectory( vectorshape )

    # only build the reporting plugins if building koreport
    if(SHOULD_BUILD_KOREPORT)
        macro_optional_add_subdirectory( reporting )
    endif(SHOULD_BUILD_KOREPORT)
ENDIF (NOT CREATIVEONLY)

=== tools/CMakeLists.txt ===
macro_optional_add_subdirectory( converter )
macro_optional_add_subdirectory( thumbnail )
macro_optional_add_subdirectory( quickprint )

if (NOT CREATIVEONLY)

macro_optional_add_subdirectory( slidecompare )
if(SHOULD_BUILD_CSTESTER)
    macro_optional_add_subdirectory( cstester )
endif(SHOULD_BUILD_CSTESTER)

if(SHOULD_BUILD_CALLIGRA)
  macro_optional_add_subdirectory(calligra)
endif(SHOULD_BUILD_CALLIGRA)

macro_optional_find_package(Okular)
macro_log_feature(OKULAR_FOUND "Okular" "Okular ODP Plugin" "http://okular.kde.org/" FALSE "" "Required to build the Okular OpenDocument Presenter plugin")

if(OKULAR_FOUND)
    add_subdirectory( okularodpgenerator )
endif(OKULAR_FOUND)

add_subdirectory(scripts)

endif (NOT CREATIVEONLY)

=== 3rdparty/kdgantt/CMakeLists.txt ===
include_directories(
    ${QT_INCLUDES}
    ${KDGANTT_INCLUDES}
)

add_definitions(-DKDAB_NO_UNIT_TESTS -DKDGANTT_SHAREDLIB -DKDGANTT_BUILD_KDGANTT_LIB)

#FIXME: We should be able to remove
#       "${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/" once the library is used
#        everywhere.
set( kdgantt_LIB_SRCS
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttglobal.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttview.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttstyleoptionganttitem.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttgraphicsview.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttabstractrowcontroller.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdgantttreeviewrowcontroller.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttlistviewrowcontroller.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttgraphicsscene.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttgraphicsitem.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttconstraint.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttconstraintproxy.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttconstraintgraphicsitem.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttitemdelegate.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttforwardingproxymodel.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttsummaryhandlingproxymodel.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttproxymodel.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttconstraintmodel.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttabstractgrid.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttdatetimegrid.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdganttlegend.cpp
    ${CMAKE_SOURCE_DIR}/3rdparty/kdgantt/kdgantttimescalezoomdialog.cpp
)

kde4_add_library(kdgantt SHARED ${kdgantt_LIB_SRCS})

target_link_libraries(kdgantt ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY})
target_link_libraries(kdgantt LINK_INTERFACE_LIBRARIES ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY})

set_target_properties(kdgantt PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS kdgantt ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== braindump/data/CMakeLists.txt ===
add_subdirectory(states)
add_subdirectory(icons)

### Services ###
install( FILES
    braindump_extensions.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR})

### GUI files ###
install( FILES braindumpui.rc braindumpview.rc DESTINATION ${DATA_INSTALL_DIR}/braindump)

install( FILES import/zoom-pixels.png DESTINATION ${DATA_INSTALL_DIR}/braindump/icons/hicolor/22x22/actions)

### desktop files ###
install( FILES braindump.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== filters/kchart/CMakeLists.txt ===
include_directories(
    ${KOMAIN_INCLUDES}
	)

add_subdirectory( genericimageexport )

=== karbon/plugins/CMakeLists.txt ===
add_subdirectory( flattenpath )
add_subdirectory( roundcorners )
add_subdirectory( refinepath )
add_subdirectory( whirlpinch )
add_subdirectory( tools )
add_subdirectory( dockers )
add_subdirectory( filtereffects )

=== kexi/core/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44020)

include_directories( ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${CMAKE_SOURCE_DIR}/kexi ${KDE4_INCLUDES}  )

ADD_DEFINITIONS( 
-DKEXI_NO_CTXT_HELP=1
)

########### next target ###############

set(kexicore_LIB_SRCS 
   kexi_global.cpp 
   kexi.cpp 
   kexiaboutdata.cpp 
   KexiMainWindowIface.cpp
   KexiStandardAction.cpp
   kexidbconnectionset.cpp 
   kexiprojectset.cpp 
   kexiactionproxy.cpp 
   kexisharedactionhost.cpp 
   kexiactioncategories.cpp
   kexiproject.cpp 
   KexiWindow.cpp 
   KexiWindowData.cpp 
   KexiView.cpp 
   kexipartmanager.cpp 
   kexipartinfo.cpp 
   kexipartitem.cpp 
   kexipart.cpp 
   kexiprojectdata.cpp 
   KexiRecentProjects.cpp 
   kexiinternalpart.cpp 
   kexidragobjects.cpp 
   kexistartupdata.cpp 
   kexiguimsghandler.cpp 
   kexitextmsghandler.cpp 
   kexidataiteminterface.cpp 
   kexidbshortcutfile.cpp 
   kexiblobbuffer.cpp 
   kexistaticpart.cpp
   kexitabledesignerinterface.cpp
   kexisearchandreplaceiface.cpp
   kexitemplateloader.cpp
   KexiRecordNavigatorHandler.cpp
   KexiRecordNavigatorIface.cpp
   KexiSearchableModel.cpp
)

kde4_add_library(kexicore SHARED ${kexicore_LIB_SRCS})

target_link_libraries(kexicore
  ${KDE4_KIO_LIBS}
  ${KDE4_KDEUI_LIBS}
  kexiutils
  kexidb
  ${CALLIGRADB_LIBS}
  ${KOPROPERTY_LIBS}
)
target_link_libraries(kexicore LINK_INTERFACE_LIBRARIES kexiutils kexidb ${KOPROPERTY_LIBS})

set_target_properties(kexicore PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS kexicore  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kexi/formeditor/CMakeLists.txt ===
add_subdirectory( factories )

include_directories( ${CMAKE_SOURCE_DIR}/kexi/widget ${CMAKE_SOURCE_DIR}/kexi/widget/utils ${CMAKE_SOURCE_DIR}/kexi/widget/tableview ${CMAKE_SOURCE_DIR}/kexi/core ${CMAKE_SOURCE_DIR}/kexi ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${KDE4_INCLUDES}  )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44010)

# Disable list widget because we need to replace it with QTreeWidget 
# which uses very different API compared to Q3ListView.
# todo: re-add QTreeWidget?
add_definitions(-DKEXI_FORMS_NO_LIST_WIDGET)

########### next target ###############

set(kformdesigner_LIB_SRCS 
   container.cpp
   resizehandle.cpp
   widgetfactory.cpp
   widgetlibrary.cpp
   WidgetInfo.cpp
   libactionwidget.cpp
   form.cpp
   objecttree.cpp
   formIO.cpp
   FormWidget.cpp
   FormWidgetInterface.cpp
   WidgetTreeWidget.cpp
#todo   spring.cpp
   commands.cpp
   events.cpp
   richtextdialog.cpp
   tabstopdialog.cpp
#KEXI_FORMS_NO_LIST_WIDGET:   editlistviewdialog.cpp
   utils.cpp
#todo   kfdpixmapedit.cpp
   widgetwithsubpropertiesinterface.cpp
   kexiformeventhandler.cpp # from libkexiformutils
   kexiactionselectiondialog.cpp # from libkexiformutils
)

set(kformdesigner_LIBS
  ${KOPROPERTY_LIBS}
  kexiutils
  kexicore
  kexiextendedwidgets
  ${CALLIGRADB_LIBS}
  ${KDE4_KDE3SUPPORT_LIBS}
  ${KDE4_KPARTS_LIBS}
)

# enable to add signal/slot connections
# set(KFD_SIGSLOTS true)

if(KFD_SIGSLOTS)
  ADD_DEFINITIONS( 
    -DKFD_SIGSLOTS=1
  )
  list(APPEND kformdesigner_LIB_SRCS connectiondialog.cpp)
  list(APPEND kformdesigner_LIBS kexiextendedwidgets kexidatatable)
endif(KFD_SIGSLOTS)

kde4_add_library(kformdesigner SHARED ${kformdesigner_LIB_SRCS})

target_link_libraries(kformdesigner ${kformdesigner_LIBS})

set_target_properties(kformdesigner PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS kformdesigner  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES
  FormWidget.h
  FormWidgetInterface.h
  objecttree.h
  WidgetTreeWidget.h
  widgetfactory.h
  WidgetInfo.h
  widgetlibrary.h
  widgetwithsubpropertiesinterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kexi/forms COMPONENT Devel
)

install( FILES
  widgetfactory.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== kexi/main/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44019)

include_directories(  ${CMAKE_SOURCE_DIR}/kexi ${CMAKE_SOURCE_DIR}/kexi/core 
${CMAKE_SOURCE_DIR}/kexi/kexiutils
${CMAKE_SOURCE_DIR}/kexi/main ${CMAKE_SOURCE_DIR}/kexi/main/startup
${CMAKE_SOURCE_DIR}/kexi/widget ${CMAKE_BINARY_DIR}/kexi/widget
${CMAKE_SOURCE_DIR}/kexi/migration ${CMAKE_SOURCE_DIR}/libs ${KOMAIN_INCLUDES} ${KDE4_INCLUDES}  )

ADD_DEFINITIONS(
-DKEXI_NO_CTXT_HELP=1
)

set(QT_USE_QTUITOOLS true)

########### next target ###############

set(keximain_LIB_SRCS 
KexiMainWindow.cpp 
KexiMenuWidget.cpp
kexifinddialog.cpp
kexistatusbar.cpp 
kexinewstuff.cpp
KexiSearchLineEdit.cpp
KexiUserFeedbackAgent.cpp

startup/KexiNewProjectAssistant.cpp
startup/KexiOpenProjectAssistant.cpp
startup/KexiWelcomeAssistant.cpp
startup/KexiWelcomeStatusBar.cpp
startup/KexiImportExportAssistant.cpp
startup/KexiStartupFileHandler.cpp
startup/KexiStartupDialog.cpp
startup/KexiStartup.cpp
startup/KexiStartupDialogTemplatesPage.cpp
startup/KexiTemplatesModel.cpp
startup/KexiRecentProjectsModel.cpp

#todo printing/kexisimpleprintingengine.cpp
#todo printing/kexisimpleprintingpagesetup.cpp
#todo printing/kexisimpleprintingpart.cpp
#todo printing/kexisimpleprintpreviewwindow.cpp

)

kde4_add_ui_files(keximain_LIB_SRCS
  kexifinddialog.ui
  startup/KexiProjectStorageTypeSelectionPage.ui
  startup/KexiOpenExistingFile.ui
  startup/KexiServerDBNamePage.ui
  startup/KexiMainImportExportPage.ui
)

kde4_add_library(keximain SHARED ${keximain_LIB_SRCS})

target_link_libraries(
    keximain
    kexidb
    kexicore
    kexiutils
    ${KOPROPERTY_LIBS}
    ${CALLIGRADB_LIBS}
    kexiextendedwidgets
    kexiguiutils
    ${KDE4_KNEWSTUFF_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KDE3SUPPORT_LIBS}
    ${QT_QT3SUPPORT_LIBRARY}
    ${QT_QTUITOOLS_LIBRARY}
)

set_target_properties(keximain PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS keximain  ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(status)

=== kexi/plugins/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44021)

add_subdirectory( reports )
#add_subdirectory(autoforms)

if (KEXI_MOBILE)
  
    
else (KEXI_MOBILE)
  add_subdirectory( tables )
  add_subdirectory( queries )
  add_subdirectory( forms )
  add_subdirectory( migration )
  add_subdirectory( importexport )

  if(SHOULD_BUILD_SCRIPTING)
     add_subdirectory(scripting)
  endif(SHOULD_BUILD_SCRIPTING)
  add_subdirectory( shapes )
endif (KEXI_MOBILE)

#TODO add_subdirectory( relations )
#TODO add_subdirectory(macros)

=== debian/changelog ===
calligra (1:2.6.1-0ubuntu6) raring; urgency=low

  * Add libvc-dev to build-depends for faster Krita painting
    LP: #1144539

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Mar 2013 16:23:48 +0000

calligra (1:2.6.1-0ubuntu5) raring; urgency=low

  * Added the libkdeinit4_*.so files to get applications  executable
  * Updated the libkdeinit4_*.so files description
    from debian/not-installed so to remind people not to remove it.

 -- Howard Chan <smartboyhw@gmail.com>  Thu, 21 Feb 2013 18:27:43 +0800

calligra (1:2.6.1-0ubuntu4) raring; urgency=low

  * Remove libkdgantt.so.11 and libkdgantt.so.11.0.0 from 
    calligra-libs.install to fix conflict with calligraplan
  * Updated the control file for calligraplan and calligrawords-common to 
    break/replace calligra-libs and calligra-data << 1:2.6.1-0ubuntu4

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 20 Feb 2013 23:16:38 +0800

calligra (1:2.6.1-0ubuntu3) raring; urgency=low

  * Really remove librcps_plan.so.11 and librcps_plan.so.11.0.0 from 
    calligra-libs.install to fix conflict with calligraplan
  * Updated the control file for calligraplan and calligrawords-common to
    break calligra-libs and calligra-data << 1:2.6.1-0ubuntu3 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 20 Feb 2013 19:08:13 +0800

calligra (1:2.6.1-0ubuntu2) raring; urgency=low

  * Remove librcps_plan.so.11 and librcps_plan.so.11.0.0 from
    calligra-libs.install to fix conflict with calligraplan
  * Move mobipocket exporter to calligrawords-common:
    - move words_Mobi_export.desktop from calligra-data
    - move exportMobi.so from calligra-libs
  * calligraplan breaks/replaces calligra-libs << 1:2.6.1-0ubuntu2
  * calligrawords-common breaks/replaces calligra-libs << 1:2.6.1-0ubuntu2
    and calligra-data << 1:2.6.1-0ubuntu2

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 19 Feb 2013 23:35:05 +0100

calligra (1:2.6.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Refreshed the patches so they are without offsets
  * Fixed multiple .install files to make installation work. 

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 18 Feb 2013 19:09:22 +0800

=== debian/control ===
Source: calligra
Section: kde
# single application should be placed in more proper sections.
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
 Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4.0),
 kdepimlibs5-dev (>= 4:4.4.3),
 freetds-dev,
 libattica-dev,
 libboost-dev,
 libeigen2-dev (>= 2.0~beta6),
 libexiv2-dev,
 libfftw3-dev,
 libfontconfig1-dev,
 libgif-dev,
 libglew-dev [!armel !armhf],
 libgsf-1-dev,
 libgsl0-dev,
 libicu-dev,
 libjpeg-dev,
 libkdcraw-dev (>= 4:4.4.3),
 liblcms2-dev,
 libmarble-dev,
 libmysqlclient-dev,
 libopenexr-dev,
 libopenjpeg-dev,
 libpng-dev,
 libpoppler-private-dev,
 libpoppler-qt4-dev,
 libpq-dev,
 libpqxx3-dev,
 libqca2-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libqtgtl-dev,
 libqtwebkit-dev,
 libspnav-dev,
 libsqlite3-dev,
 libtiff-dev,
 libxbase2.0-dev,
 libxslt1-dev,
 libwpd-dev (>= 0.9.1),
 libwpg-dev (>= 0.2.0),
 libwps-dev,
 okular-dev (>= 4:4.4.3),
 pstoedit,
 shared-desktop-ontologies,
 shared-mime-info,
 zlib1g-dev,
 libvisio-dev,
 opengtl-dev,
 libkactivities-dev,
 libphononexperimental-dev,
 libvc-dev
Standards-Version: 3.9.3
Homepage: http://www.calligra-suite.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Section: kde
Replaces: koffice
Conflicts: koffice
Depends: ${misc:Depends},
 braindump (>= ${source:Version}),
 calligraauthor (>= ${source:Version}),
 calligraflow (>= ${source:Version}),
 calligraplan (>= ${source:Version}),
 calligrasheets (>= ${source:Version}),
 calligrastage (>= ${source:Version}),
 calligrawords (>= ${source:Version}),
 karbon (>= ${source:Version}),
 kexi (>= ${source:Version}),
 krita (>= ${source:Version})
Recommends: create-resources
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc, and
 raster and vectorial graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}, calligra-libs (= ${binary:Version})
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.5.93-0ubuntu2)
Replaces: calligra-data (<< 1:2.5.93-0ubuntu2)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
  .
  * Loading support for ODG, SVG, WPG, WMF, EPS/PS
  * Writing support for ODG, SVG, PNG, PDF, WMF
  * Customizable user interface with freely placable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilies
  * Various drawing tools for creating path shapes including a draw path
    tool, a pencil tool as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Includes many predefined shapes including basic shapes like stars,
    circle/ellipse, rectangle, image
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, calligra-libs (= ${binary:Version})
Suggests: kexi-calligrasheets-driver, kexi-mysql-driver, kexi-postgresql-driver, kexi-xbase-driver, kexi-sybase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version}),
 calligrasheets (= ${binary:Version})
Description: Tables plugin for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Tables in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (>= ${source:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: kexi-map-form-widget
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (>= ${source:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: map form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a map widget for Kexi using the Marble library.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc, and
 raster and vectorial graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-map-element
Architecture: any
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: map element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc, and
 raster and vectorial graphics tools.
 .
 This package provides a map element for Calligra Reports, based on the
 Marble library.
 .
 This package is part of the Calligra Suite.

Package: krita
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}, krita-data (>= ${source:Version}), calligra-libs (= ${binary:Version})
Suggests: khelpcenter4
Homepage: http://www.calligra-suite.org/krita/
Description: pixel-based image manipulation program for the Calligra Suite

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/calligra-([\d\.]+)/calligra-([\d\.]+)\.tar\.bz2

## calligra 2.6.2

=== debian/changelog ===
calligra (1:2.6.2-0ubuntu1) raring; urgency=low

  * New upstream release.  

 -- Howard Chan <smartboyhw@gmail.com>  Mon, 11 Mar 2013 23:25:28 +0800

calligra (1:2.6.1-0ubuntu8) raring; urgency=low

  * Change build-dep of vc-dev to ! powerpc and armhf due to build issues
    of vc
  * Updated copyright files to avoid copyright warnings

 -- Howard Chan <smartboyhw@gmail.com>  Sat, 09 Mar 2013 22:22:59 +0800

calligra (1:2.6.1-0ubuntu7) raring; urgency=low
  
  * Build-dep on vc-dev, package renamed from libvc-dev due to clash

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Mar 2013 22:38:34 +0000

## calligra 2.6.3

=== debian/changelog ===
calligra (1:2.6.3-0ubuntu2) saucy; urgency=low

  * Use GCC 4.7 
  * Add forgotten BD on nepomuk-core-dev 

 -- Iain Lane <iain.lane@canonical.com>  Mon, 03 Jun 2013 10:36:47 +0100

calligra (1:2.6.3-0ubuntu1) raring; urgency=low

  * New bugfix upstream release.

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 09 Apr 2013 21:06:04 +0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
  Raúl Sánchez Siles <rasasi78@gmail.com>
 Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.9),
+ gcc-4.7,
+ g++-4.7,
  kdelibs5-dev (>= 4:4.4.0),
  kdepimlibs5-dev (>= 4:4.4.3),
  freetds-dev,
@@ -46,6 +48,7 @@
  libwpd-dev (>= 0.9.1),
  libwpg-dev (>= 0.2.0),
  libwps-dev,
+ nepomuk-core-dev,
  okular-dev (>= 4:4.4.3),
  pstoedit,
  shared-desktop-ontologies,
@@ -55,7 +58,7 @@
  opengtl-dev,
  libkactivities-dev,
  libphononexperimental-dev,
- libvc-dev
+ vc-dev [!powerpc !armhf]
 Standards-Version: 3.9.3
 Homepage: http://www.calligra-suite.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
@@ -303,4 +306,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, krita-data (>= ${source:Version}), calligra-libs (= ${binary:Version})
 Suggests: khelpcenter4
 Homepage: http://www.calligra-suite.org/krita/
-Description: pixel-based image manipulation program for the Calligra Suite

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export CPP=gcc-4.7
+export CXX=g++-4.7
 
 %:
 	dh $@ --parallel --with kde --with sodeps
